### Method

# WebKit2WebExtension Frame get_javascript_global_context

deprecated: 2.22 since: 2.2

#### Declaration [src]

    JSGlobalContextRef
    webkit_frame_get_javascript_global_context (
      WebKitFrame* frame
    )

#### Description [src]

Gets the global JavaScript execution context. Use this function to bridge between the WebKit and JavaScriptCore APIs.

Available since: 2.2

Deprecated since: 2.22

Use `webkit_frame_get_js_context()` instead.

This method is not directly available to language bindings.

#### Return value

Type: `JSGlobalContextRef`

The global JavaScript context of `frame`.